Subject: Re: [lojban] As Kunsunlundz said... [was RE: RECORD:containers]

From: "Jorge Llambias" <[email-masked]>
Date: Mon, 26 Jun 2000 19:21:26 PDT

la deiv cusku di'e

>Well, do we have a Curry operator in Lojban? For those not up on
>mathematical in jokes, treating a function of two arguments F(x,y)
>as (F(x))(y) is often referred to as currying, I assume after Haskell
>Curry. Break out the chutney and rice, we're having curried functions
>for dinner tonight.

That would be {be}:

botpi (x,y)
botpi be lo vanju (x)

(Ignoring the ignorable x3 and x4 of botpi for simplicity.)

co'o mi'e xorxes

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com